#region Using directives

using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;
using System.Workflow.Runtime;
using System.Workflow.Runtime.Hosting;

#endregion

namespace WorkflowConsoleApplication3
{
  class Program
  {
    static void Main(string[] args)
    {
      WorkflowRuntime workflowRuntime = new WorkflowRuntime();
      AutoResetEvent waitHandle = new AutoResetEvent(false);

      workflowRuntime.WorkflowCompleted += new EventHandler<WorkflowCompletedEventArgs>(workflowRuntime_WorkflowCompleted);
      workflowRuntime.WorkflowTerminated += delegate(object sender, WorkflowTerminatedEventArgs e)
      {
        Console.WriteLine(e.Exception.Message);
      };

      Dictionary<string, object> parameters = new Dictionary<string, object>();

      parameters.Add("MyInputParameter", 42);

      WorkflowInstance instance = workflowRuntime.CreateWorkflow(typeof(WorkflowConsoleApplication3.Workflow1), parameters);
      instance.Start();
      Console.Read();
    }

    static void workflowRuntime_WorkflowCompleted(object sender, WorkflowCompletedEventArgs e)
    {
      Console.WriteLine("MyOutputParameter:{0}", e.OutputParameters["MyInputParameter"].ToString());
    }
  }
}
